org.apache.ignite.binary

## Class BinaryReflectiveSerializer

- java.lang.Object
- - org.apache.ignite.binary.BinaryReflectiveSerializer

- All Implemented Interfaces:
    BinarySerializer

      public class BinaryReflectiveSerializer
      extends Object
      implements BinarySerializer

  Binary serializer which writes object fields using reflection. Transient fields are not written.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryReflectiveSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readBinary(Object obj, BinaryReader reader)` Reads fields from provided reader.
    `void` | `writeBinary(Object obj, BinaryWriter writer)` Writes fields to provided writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryReflectiveSerializer

          public BinaryReflectiveSerializer()

  - ### Method Detail

    - #### writeBinary

          public void writeBinary(Object obj,
                                  BinaryWriter writer)
                           throws BinaryObjectException

      Writes fields to provided writer.
      Specified by:
        `writeBinary` in interface `BinarySerializer`
      Parameters:
        `obj` - Empty object.
        `writer` - Binary object writer.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readBinary

          public void readBinary(Object obj,
                                 BinaryReader reader)
                          throws BinaryObjectException

      Reads fields from provided reader.
      Specified by:
        `readBinary` in interface `BinarySerializer`
      Parameters:
        `obj` - Empty object
        `reader` - Binary object reader.
      Throws:
        `BinaryObjectException` - In case of error.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020